Memoryleak in SLES10 SP1 kernel starting 2.6.16.54-0.2.12

  • 7003141
  • 28-Apr-2009
  • 27-Apr-2012

Environment

SUSE Linux Enterprise Server 10 Service Pack 1
SUSE Linux Enterprise Server 10 Service Pack 2

Situation

There had been an issue with slab corruption in SLES10 SP1 kernels prior to 2.6.16.54-0.2.12. The fix for this bug unfortunately introduced a small memory leak that went unnoticed for the rest of the lifetime of SP1. The leak is also in SP2 kernels 2.6.16.60-0.31 until 2.6.16.60-0.33. All other versions including SLES11 are not affected.


Resolution

Since there's no fix for SP1 as it is discontinued, the only viable solution is to upgrade to SP2. Make sure installed kernel version is newer than 2.6.16.60-0.34 resp. 2.6.16.60-0.35 on the ia64 architecture. In general it is a good idea to install the latest released packages.

Feedback service temporarily unavailable. For content questions or problems, please contact Support.